#{{uc_id}} *{
    margin: 0;
    box-sizing: border-box;
}

#{{uc_id}} .ue-btn
{
  display:flex;
  align-items:center;
}

#{{uc_id}} .ue-btn svg
{
  height:1em;
  width:1em;
}


#{{uc_id}} a{
    position: relative;
    display: inline-block;
    text-decoration: none;
    transition: 0.5s;
    overflow: hidden;
   
}
#{{uc_id}} a:hover{
    background: {{primary_color}};
    box-shadow: 0 0 5px {{primary_color}},
                0 0 25px {{primary_color}},
                0 0 50px {{primary_color}},
                0 0 200px {{primary_color}};
}

#{{uc_id}} a span{
    position: absolute;
    display: block;
}
#{{uc_id}} a span:nth-child(1){
    top: 0;
    left: 0;
    width: 100%;
    background: linear-gradient(90deg,transparent,{{primary_color}});
    animation: animate1 2s linear infinite;
}
@keyframes animate1{
    0%{
        left: -100%;
    }
    50%,100%{
        left: 100%;
    }
}
#{{uc_id}} a span:nth-child(2){
    top: -100%;
    right: 0;
    height: 100%;
    background: linear-gradient(180deg,transparent,{{primary_color}});
    animation: animate2 2s linear infinite;
    animation-delay: 0.25s;
}
@keyframes animate2{
    0%{
        top: -100%;
    }
    50%,100%{
        top: 100%;
    }
}
#{{uc_id}} a span:nth-child(3){
    bottom: 0;
    right: 0;
    width: 100%;
    background: linear-gradient(270deg,transparent,{{primary_color}});
    animation: animate3 2s linear infinite;
    animation-delay: 0.50s;
}
@keyframes animate3{
    0%{
        right: -100%;
    }
    50%,100%{
        right: 100%;
    }
}


#{{uc_id}} a span:nth-child(4){
    bottom: -100%;
    left: 0;
    height: 100%;
    background: linear-gradient(360deg,transparent,{{primary_color}});
    animation: animate4 2s linear infinite;
    animation-delay: 0.75s;
}
@keyframes animate4{
    0%{
        bottom: -100%;
    }
    50%,100%{
        bottom: 100%;
    }
}